API referenceContacts

List contact imports

GET/contacts/imports

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/contacts/imports"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "contact_import",      "id": "string",      "status": "uploading",      "filename": "string",      "consent": "string",      "list_ids": [        "string"      ],      "update_existing": true,      "size_bytes": 0,      "columns": {        "fields": {          "property1": "string",          "property2": "string"        },        "properties": [          "string"        ],        "ignored": [          "string"        ]      },      "rows_processed": 0,      "rows_created": 0,      "rows_updated": 0,      "rows_skipped": 0,      "rows_failed": 0,      "error": "string",      "created_at": "2019-08-24T14:15:22Z",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}